##### GENERAL STUFF #####

%define libname %mklibname exif 12

Summary:	Library to access EXIF files (extended JPEG files)
Name:		libexif
Version:	0.6.13
%define		subrel 3
Release:	%mkrel 2
License:	LGPL
Group:		Graphics
Url:		http://sourceforge.net/projects/libexif/

##### SOURCE FILES #####

Source: http://belnet.dl.sourceforge.net/sourceforge/libexif/libexif-%{version}.tar.bz2
Patch0: libexif-0.6.13-pkgconfig-fix.patch.bz2
Patch1: libexif-CVE-2007-2645.patch
Patch2: libexif-0.6.13-CVE-2007-4168.patch
Patch3:	libexif-0.6.13-CVE-2007-6351.patch
Patch4:	libexif-0.6.13-CVE-2007-6352.patch

##### ADDITIONAL DEFINITIONS #####

Provides:	libexif
BuildRoot: %{_tmppath}/%{name}-buildroot

BuildRequires:	doxygen

##### SUB-PACKAGES #####

%description

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n %libname
Summary:	Library to access EXIF files (extended JPEG files)
Provides:	libexif
Group:		Graphics

%description -n %libname

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n %{libname}-devel
Summary: 	Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} = %{version}
Provides:	libexif-devel
Group:		Graphics

%description -n %{libname}-devel
This package contains all files which one needs to compile programs using
the "%{libname}" library.


##### PREP #####

%prep
rm -rf $RPM_BUILD_DIR/libexif-%{version}
%setup -q -n libexif-%{version}
%patch0 -p1 -b .includedir
%patch1 -p0 -b .cve-2007-2645
%patch2 -p1 -b .cve-2007-4168
%patch3 -p1 -b .cve-2007-6351
%patch4 -p1 -b .cve-2007-6352

# Fix broken libexif/exif-utils.c
perl -p -i -e 's:^(\s*)static\s*(ExifSShort):$1$2:' libexif/exif-utils.c

##### BUILD #####

%build
# "autogen" is needed because we have a CVS snapshot.
#./autogen.sh

# Fix broken "./configure" script
#perl -p -i -e 's:^(AC_OUTPUT.*)$:$1 po/Makefile.in:' configure.in
autoconf-2.5x

%configure2_5x
%make

##### INSTALL #####

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang %{name}

##### PRE/POST INSTALL SCRIPTS #####

%post -n %{libname} 

/sbin/ldconfig

%postun -n %{libname} 

/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### libexif
%files -n %libname -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS COPYING ChangeLog README
%{_libdir}/*.so.*
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/*
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/*
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/*
%lang(pl) %{_datadir}/locale/pl/LC_MESSAGES/*

##### libexif-devel
%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_docdir}/libexif

##### CHANGELOG #####

%changelog
* Wed Jan 09 2008 Vincent Danen <vdanen@mandriva.com> 0.6.13-2.3mdv2007.0
- P3: security fix for CVE-2007-6351
- P4: security fix for CVE-2007-6352

* Tue Jun 19 2007 Vincent Danen <vdanen@mandriva.com> 0.6.13-2.2mdv2007.0
- P2: security fix for CVE-2007-4168

* Wed Jun 6 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.6.13-2.1mdv2007.0
- patch1: security fix for CVE-2007-2645

* Sun Jun 25 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.13-2
- patch0: fix include dir in pkgconfig file

* Tue May 16 2006 Till Kamppeter <till@mandriva.com> 0.6.13-1mdk
- Updated to version 0.6.12.
- Removed patch 1 (merged upstream).
- Added API documentation to -devel package.
- Introduced %mkrel.

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.12-3mdk
- Rebuild

* Fri Aug 12 2005 Austin Acton <austin@mandriva.org> 0.6.12-2mdk
- try to fix gimp crashes (bug #16618)
- configure 2.5

* Mon Jun 27 2005 Till Kamppeter <till@mandrakesoft.com> 0.6.12-1mdk
- Updated to version 0.6.12.
- Removed Patch0 (merged upstream).

* Thu Mar 31 2005 Till Kamppeter <till@mandrakesoft.com> 0.6.11-2mdk
- SECURITY FIX: Fixed MDKSA-2005:064 (bug 15139).

* Sat Nov 27 2004 Till Kamppeter <till@mandrakesoft.com> 0.6.11-1mdk
- Updated to version 0.6.11.

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.5.12-3mdk
- rebuild for new pkgconfig Requires

* Mon Sep 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.12-2mdk
- use mklibname

* Fri Aug 15 2003 Till Kamppeter <till@mandrakesoft.com> 0.5.12-1mdk
- Updated to version 0.5.12.

* Sat Jul 26 2003 Till Kamppeter <till@mandrakesoft.com> 0.5.10-1mdk
- Updated to version 0.5.10.

* Thu Jan 16 2003 Till Kamppeter <till@mandrakesoft.com> 0.5.9-1mdk
- Updated to version 0.5.9.

* Thu Dec  5 2002 Till Kamppeter <till@mandrakesoft.com> 0.5.7-1mdk
- Updated to version 0.5.7.

* Fri Aug  2 2002 Till Kamppeter <till@mandrakesoft.com> 0.5.4-1mdk
- Updated to version 0.5.4.

* Tue Jul  2 2002 Till Kamppeter <till@mandrakesoft.com> 0.5.3-1mdk
- Initial release

